import { BaseDatabase, BaseResource } from 'adminjs';
import { DatabaseInfo } from '../info/DatabaseInfo';
import { Client } from '../typing/Client';
import { ConnectionOptions } from '../typing/ConnectionOptions';
export declare class Adapter {
    static Database: typeof BaseDatabase;
    static Resource: typeof BaseResource;
    private constructor();
    /**
     * Read database schema for AdminJS. All parameters are directly passed to {@link Knex}.
     *
     * @param client sql driver name.
     * @param connection connectionOptions.
     * @example
     * const database = await Adapter.database('mysql2', {
     *    host: DB_HOST,
     *    user: DB_USER,
     *    password: DB_PASSWORD,
     *    database: DB_DATABASE,
     *  })
     */
    static database(client: Client, connection: ConnectionOptions): Promise<DatabaseInfo>;
}
